summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-12-29 19:13:51 +0100
committerDavid Seifert <soap@gentoo.org>2017-12-29 23:31:30 +0100
commit16b734e2b4f93504d82306560a26eb41a7d8f1a8 (patch)
treedfd24cd3caf802c627cfddcf6083b97d3f19e00a /app-admin
parentapp-admin/cronolog: Remove old (diff)
downloadgentoo-16b734e2b4f93504d82306560a26eb41a7d8f1a8.tar.gz
gentoo-16b734e2b4f93504d82306560a26eb41a7d8f1a8.tar.bz2
gentoo-16b734e2b4f93504d82306560a26eb41a7d8f1a8.zip
app-admin/aws-cw-tools: Port to EAPI 6
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/aws-cw-tools/aws-cw-tools-1.0.12.1.ebuild33
1 files changed, 17 insertions, 16 deletions
diff --git a/app-admin/aws-cw-tools/aws-cw-tools-1.0.12.1.ebuild b/app-admin/aws-cw-tools/aws-cw-tools-1.0.12.1.ebuild
index cef18133833..ab4c5fb5543 100644
--- a/app-admin/aws-cw-tools/aws-cw-tools-1.0.12.1.ebuild
+++ b/app-admin/aws-cw-tools/aws-cw-tools-1.0.12.1.ebuild
@@ -1,42 +1,42 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI="2"
+EAPI=6
DESCRIPTION="The API tools serve as the client interface to the Amazon CloudWatch web service"
HOMEPAGE="http://aws.amazon.com/developertools/2534"
# SRC_URI="http://ec2-downloads.s3.amazonaws.com/CloudWatch-2010-08-01.zip"
SRC_URI="mirror://sabayon/${CATEGORY}/CloudWatch-${PV}.zip"
-S="${WORKDIR}/CloudWatch-${PV}"
-
LICENSE="Amazon"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
+RESTRICT="mirror"
+
DEPEND="app-arch/unzip"
RDEPEND="virtual/jre"
-RESTRICT="mirror"
-src_unpack() {
- unpack ${A}
- cd "$S"
+S="${WORKDIR}/CloudWatch-${PV}"
+
+src_prepare() {
+ default
find . -name '*.cmd' -delete || die
}
src_install() {
- dodir /opt/${PN}
insinto /opt/${PN}/lib
- doins -r "${S}"/lib/*
+ doins -r lib/.
+
exeinto /opt/${PN}/bin
- doexe "${S}"/bin/*
+ doexe bin/*
dodir /etc/env.d
- cat - > "${T}"/99${PN} <<EOF
-AWS_CLOUDWATCH_HOME=/opt/${PN}
-PATH=/opt/${PN}/bin
-ROOTPATH=/opt/${PN}/bin
-EOF
+ cat - > "${T}"/99${PN} <<- EOF || die
+ AWS_CLOUDWATCH_HOME=/opt/${PN}
+ PATH=/opt/${PN}/bin
+ ROOTPATH=/opt/${PN}/bin
+ EOF
doenvd "${T}"/99${PN}
dodoc "THIRDPARTYLICENSE.TXT"
@@ -46,6 +46,7 @@ pkg_postinst() {
ewarn "Remember to run: env-update && source /etc/profile if you plan"
ewarn "to use these tools in a shell before logging out (or restarting"
ewarn "your login manager)"
+
elog
elog "You need to put the following in your ~/.bashrc replacing the"
elog "values with the full path to your AWS credentials file."